<div class="flex flex-col flex-auto w-full" style="background-color:#F8F8F8;">


    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" (click)="back()"><mat-icon class="mt-6 mb-6 "
                style="color: #0038FF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-16"
                style="color: #0038FF;">Back</span></div>
        <div><mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
    </div>

    <div id="buyGold" class="font-Semibold-40 font-141461 mt-7 mb-5" style="text-align:center !important;">
        <div>Sell Gold</div>
    </div>

    <div class="flex flex-col  items-center sm:justify-center min-w-0">
        <!-- Main -->

        <div class="w-full mx-auto shadow bg-white box-width" style="max-width: 491px;box-shadow: 0px 0px 6px #0000001A;
        ">
            <div class="w-full sm:mx-0">
                <!-- CONTENT GOES HERE -->
                <form action="" class="md:container md:mx-auto" [formGroup]="sellGoldForm" #sellGoldngForm="ngForm">


                    <div class="relative flex flex-col flex-auto items-center justify-center my-8">
                        <span class="font-Medium-18 mb-2 font-7B7B7B">My Gold Balance</span>
                        <span class="font-Medium-20 font-000" [ngClass]="{'font-ff0000': labelAlertVisible, 'font-000': !labelAlertVisible, 'disabled': !labelAlertVisible}">
                            {{availAmount | number: '.6'}}g</span>
                        <div class="items-center justify-center">
                            <span [style.font-size.px]="12" [style.color]="'red'" *ngIf="labelAlertVisible"
                                class="alert-message">Insufficient Balance</span>
                        </div>
                    </div>

                    <div class="relative flex flex-col flex-auto items-center justify-center my-8">
                        <div class="flex-auto mt-px border-t-20 w-full text-center py-2"
                            style="border:8px red;background-color: red;color: white;">
                            {{getElapsedTime() === '0 min 00 sec' ? 'Price Timeout' : 'Gold Price may expire in ' +
                            getElapsedTime()}}</div>
                    </div>
                    
                    <div class="flex flex-col xl:mx-6 sm:mx-6 xl:my-3 sm:my-3 xl:px-16 sm:px-16">
                        <div class="mt-2 font-medium text-3xl leading-none">
                            <div class="form-group">
                                <div>
                                    <mat-form-field class="w-11/12">
                                        <input id="grams" type="" matInput [formControlName]="'grams'"
                                            [(ngModel)]="inputGram" (input)="calculateInput('gram')"
                                            placeholder="0.000000" required>
                                        <span matSuffix class="font-Semibold-18"
                                            style="color: #333333 !important;">g</span>

                                        <mat-error *ngIf="sellGoldForm.get('grams').hasError('required')">
                                            You must enter a value
                                        </mat-error>
                                    </mat-form-field>

                                </div>
                                <div class="flex items-center mb-4">
                                    <div class="flex-auto mt-px border-t"></div>
                                </div>
                                <div>
                                    <mat-form-field class="w-11/12" appearance="fill">
                                        <span matPrefix class="font-Semibold-18"
                                            style="color: #333333 !important;">RM</span>
                                        <input id="price" type="number" matInput [formControlName]="'price'"
                                            [(ngModel)]="inputPrice" (input)="calculateInput('price')"
                                            placeholder="0.00" required>


                                        <mat-error *ngIf="sellGoldForm.get('price').hasError('required')">
                                            You must enter a value
                                        </mat-error>
                                    </mat-form-field>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div id="buyGold" class="flex flex-row flex-wrap mt-3 -mx-6 items-center justify-center">
                        <div class="flex flex-col mx-6 my-3 items-center justify-center">
                            <div class="font-Regular-12 items-center justify-center px-9 py-2.5"
                                style="background-color: #F3F6FD;color: #0038FF;">
                                Current Gold Selling Price: RM {{ sellPriceGold }}
                            </div>
                        </div>
                    </div>

                    <div class="relative flex flex-col flex-auto items-center xl:px-22 sm:px-22 w-auto mb-7 mt-3 ">
                        <button 
                            class="fuse-mat-button-large w-full mt-6 button-r5-disable button-r5" 
                            [color]="'primary'" mat-flat-button (click)="sellMethod()"
                            [disabled]="disableButton || sellGoldForm.invalid">
                            <span *ngIf="!sellGoldForm.disabled" class="font-Semibold-14">Continue</span>
                        </button>
                    </div>

                </form>

            </div>

        </div>
    </div>
</div>